package com.hzya.frame.mdm.mdmModuleDb.dao;

import com.hzya.frame.mdm.mdmModuleDb.entity.MdmModuleDbEntity;
import com.hzya.frame.basedao.dao.IBaseDao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 模版数据库表(mdm_module_db: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-03 08:46:48
 */
public interface IMdmModuleDbDao extends IBaseDao<MdmModuleDbEntity, String> {
    HashMap<String, Object> getServiceDataById(Map<String, Object> queryData);
    List<HashMap<String, Object>> getServiceByFormmainId(Map<String, Object> queryData);
    List<HashMap<String, Object>> getServiceByDistributeId(Map<String, Object> queryData);

    int deleteMdmModuleDb(MdmModuleDbEntity mdmModuleDbEntity);
}

